# Gitcoin Shelling Point Hackathon

Welcome to kicking off the new year with the Shelling Point Virtual Hackathon and Fluence: three weeks of decentralized hacking bliss.

## About Fluence

Fluence provides the infrastructure and tools to enable decentralized compute for applications and backends on peer-to-peer networks. Nodes in the Fluence peer-to-peer network host discoverable services comprised of WebAssembly Interface Types (IT) modules. Aqua, Fluence's purpose-built distributed systems programming language, allows developers to seamlessly program distributed networks and compose hosted services into decentralized applications. As a result, the Fluence platform allows you to quickly and effectively create and implement Web3 protocols and associated governance models.


## Challenges And Prices

[Schelling Points](https://en.wikipedia.org/wiki/Focal_point_(game_theory)), postulated by Thomas Schelling, are a game theoretic construct that postulates that people can arrive at a cooperative solution without communication by converging on a prominent, i.e. focal, point, such as a landmark. Hence, focal points are contextual. In the context of Web3, many different people have been converging on variety of focal points over the past short years ranging from consensus algorithms to cryptography solutions to organizational patterns. This plethora of innovation speaks for the inspiration arising from the decentralized context and the quality of the people involved in the space.

### Beginner's Bounty -- 5 x USD 500.00

Use [Fluence JS](https://github.com/fluencelabs/fluence-js) or [Marine Rust SDK](https://github.com/fluencelabs/marine-rs-sdk) to create integrations to custodial wallets/APIs of the [OpenSea](https://docs.opensea.io/) and [Rarible](https://docs.rarible.org/) NFT marketplaces. Use Aqua to create workflow(s) to find, fetch, and display NFTs from each of the marketplaces.

### Intermediate Bounty -- 1 x USD 1,000.00

Use Fluence and Aqua to create a "super wallet" to create/mint, fetch/display and buy/sell/bid NFTs from at least two NFT marketplaces including [OpenSea](https://docs.opensea.io/) and [Rarible](https://docs.rarible.org/).


### Advanced Bounty -- 1 x USD 2,000.00

Use Fluence and Aqua to create an NFT wallet for at least the [Ethereum](https://ethereum.org) and [Polygon](https://polygon.technology/) chains. The wallet may be custodial or non-custodial and should allow users to create/mint, read/display and buy/sell NFTs. For the trading functionality, you may reuse your integration services from the previous challenges to provide your wallet users to choose from at least to marketplaces.

### Best Use Of Fluence And Aqua In Your DApp -- 1 x USD 2,000

Already got a DApp in mind and can use some off-chain decentralization? Use Fluence and Aqua to, for example:

* power a decentralized NFT creation and storage solution using, for example, plain IPFS or NFT.storage. We are especially excited about using Fluence compute to enable dynamic NFTs.
* create a multi source DEX price oracle. Fluence compute and Aqua are uniquely suited to facilitate (cross-chain) querying and processing of streams, such as the computation of buy/sell orders and optimal order-split and routing to DExs.
* enable off-chain DAOs

## Submission Requirements

* Generously document your submission
* Provide a max three (3) minute video for Beginner challenges and a max five (5) minute video for intermediate and advanced challenges to present and demonstrate your solution
* Submit via a Github or GitLab repo with MIT or Apache 2.0 license

Judging is based on originality, functionality and completeness of the submission. In the case of multiple prizes for a given challenge, the order of submissions determines payout rank for complete and functional projects.

## Resources

Fluence has a variety of components and building blocks available to accelerate your project build.

### General

* [Fluence Documentation](https://doc.fluence.dev/docs/)
* [Aqua Book](https://doc.fluence.dev/aqua-book/)
* [Fluence Quickstart](https://github.com/fluencelabs/examples/tree/main/quickstart)
* [Fluence Examples](https://github.com/fluencelabs/examples)
* [Discord](https://fluence.chat)
* [Fluence Youtube](https://www.youtube.com/channel/UC3b5eFyKRFlEMwSJ1BTjpbw)
* [Book A Meeting With The Team](https://calendly.com/fluencehack/)

### Community

* Web3
  - [Aqua-Eth](https://github.com/ben-razor/aqua-eth)
  - [Web3](https://github.com/ntrotner/web3-exposed-to-fluence)
* [NFT](https://github.com/tejas-kothari/BazaarEx) example
* DID
  * [SelfId](https://github.com/fsy412/SelfId-Auth-Fluence)
  * [Identity Link](https://github.com/synycboom/identity-link-api-aqua)
* [Web3, Ethereum and Elasticsearch](https://github.com/Joera/gitcoin11-fluence) example
